## fgrun 3.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.4)

include (CheckIncludeFile)
include (CheckFunctionExists)

project(fgrun)
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMakeModules;${CMAKE_MODULE_PATH}")

if(${CMAKE_VERSION} VERSION_GREATER 2.8.4)
    # use official include provided by latest CMake
    include(GNUInstallDirs)
else(${CMAKE_VERSION} VERSION_GREATER 2.8.4)
    # backward compatibility: use our own module for older cmake versions
    include(OldGNUInstallDirs)
endif(${CMAKE_VERSION} VERSION_GREATER 2.8.4)

set(CMAKE_DEBUG_POSTFIX "d" CACHE STRING "add a postfix, usually d on windows")
set(CMAKE_RELEASE_POSTFIX "" CACHE STRING "add a postfix, usually empty on windows")
set(CMAKE_RELWITHDEBINFO_POSTFIX "" CACHE STRING "add a postfix, usually empty on windows")
set(CMAKE_MINSIZEREL_POSTFIX "" CACHE STRING "add a postfix, usually empty on windows")

file(READ version versionFile)
string(STRIP ${versionFile} FGRUN_VERSION) 

#packaging
SET(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/COPYING")
SET(CPACK_RESOURCE_FILE_README "${PROJECT_SOURCE_DIR}/README")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "FlightGear Launcher")
SET(CPACK_PACKAGE_VENDOR "The FlightGear project")
SET(CPACK_GENERATOR "TBZ2")
SET(CPACK_INSTALL_CMAKE_PROJECTS  ${CMAKE_CURRENT_BINARY_DIR};FGRun;ALL;/)


# split version string into components, note CMAKE_MATCH_0 is the entire regexp match
string(REGEX MATCH "([0-9]+)\\.([0-9]+)" CPACK_PACKAGE_VERSION ${FGRUN_VERSION} )
set(CPACK_PACKAGE_VERSION_MAJOR ${CMAKE_MATCH_1}) 
set(CPACK_PACKAGE_VERSION_MINOR ${CMAKE_MATCH_2})

message(STATUS "version is ${CPACK_PACKAGE_VERSION_MAJOR} dot ${CPACK_PACKAGE_VERSION_MINOR}")

set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_PACKAGE_FILE_NAME "fgrun-${FGRUN_VERSION}" CACHE INTERNAL "tarball basename")
set(CPACK_SOURCE_IGNORE_FILES
  "\\\\.svn;Makefile.am;~$;${CPACK_SOURCE_IGNORE_FILES}")

message(STATUS "ignoring: ${CPACK_SOURCE_IGNORE_FILES}")

include (CPack)

option(ENABLE_NLS "Set to ON to build fgrun with NLS support" ON)

if (MSVC)
    GET_FILENAME_COMPONENT(PARENT_DIR ${PROJECT_SOURCE_DIR} PATH)
    if (CMAKE_CL_64)
        SET(TEST_3RDPARTY_DIR "${PARENT_DIR}/3rdparty.x64")
    else (CMAKE_CL_64)
        SET(TEST_3RDPARTY_DIR "${PARENT_DIR}/3rdparty")
    endif (CMAKE_CL_64)
    if (EXISTS ${TEST_3RDPARTY_DIR})
        set(MSVC_3RDPARTY_ROOT ${PARENT_DIR} CACHE PATH "Location where the third-party dependencies are extracted")
    else (EXISTS ${TEST_3RDPARTY_DIR})
        set(MSVC_3RDPARTY_ROOT NOT_FOUND CACHE PATH "Location where the third-party dependencies are extracted")
    endif (EXISTS ${TEST_3RDPARTY_DIR})
    list(APPEND PLATFORM_LIBS "winmm.lib")
else (MSVC)
    set(MSVC_3RDPARTY_ROOT NOT_FOUND CACHE PATH "Location where the third-party dependencies are extracted")
endif (MSVC)

if (MSVC AND MSVC_3RDPARTY_ROOT)

  message(STATUS "3rdparty files located in ${MSVC_3RDPARTY_ROOT}")
  set( OSG_MSVC "msvc" )
  if (${MSVC_VERSION} EQUAL 1700)
      set( OSG_MSVC ${OSG_MSVC}110 )
  elseif (${MSVC_VERSION} EQUAL 1600)
      set( OSG_MSVC ${OSG_MSVC}100 )
  else (${MSVC_VERSION} EQUAL 1700)
      set( OSG_MSVC ${OSG_MSVC}90 )
  endif (${MSVC_VERSION} EQUAL 1700)
  if (CMAKE_CL_64)
      set( OSG_MSVC ${OSG_MSVC}-64 )
      set( MSVC_3RDPARTY_DIR 3rdParty.x64 )
  else (CMAKE_CL_64)
      set( MSVC_3RDPARTY_DIR 3rdParty )
  endif (CMAKE_CL_64)
  find_path(FLTK_DIR include/FL/Fl.H
			${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/fltk
			${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/fltk-1.3
			${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}
			)
  list (APPEND CMAKE_PROGRAM_PATH ${FLTK_DIR}/bin)

  set (CMAKE_LIBRARY_PATH ${FLTK_DIR}/lib ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/lib ${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/OpenScenegraph/lib ${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/SimGear/lib )
  set (CMAKE_INCLUDE_PATH ${FLTK_DIR}/include ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/include ${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/OpenScenegraph/include ${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/SimGear/include)
  find_path(BOOST_ROOT boost/version.hpp
			${MSVC_3RDPARTY_ROOT}/boost
			${MSVC_3RDPARTY_ROOT}/boost_1_51_0
			${MSVC_3RDPARTY_ROOT}/boost_1_50_0
			${MSVC_3RDPARTY_ROOT}/boost_1_49_0
			${MSVC_3RDPARTY_ROOT}/boost_1_48_0
			${MSVC_3RDPARTY_ROOT}/boost_1_47_0
			${MSVC_3RDPARTY_ROOT}/boost_1_46_1
			${MSVC_3RDPARTY_ROOT}/boost_1_46_0
			${MSVC_3RDPARTY_ROOT}/boost_1_45_0
			${MSVC_3RDPARTY_ROOT}/boost_1_44_0
			)
  message(STATUS "BOOST_ROOT is ${BOOST_ROOT}")

endif (MSVC AND MSVC_3RDPARTY_ROOT)

if(WIN32)

    if(MSVC)
        set(MSVC_FLAGS "-DNOMINMAX -D_USE_MATH_DEFINES -D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS -D__CRT_NONSTDC_NO_WARNINGS")
        if (${MSVC_VERSION} GREATER 1599)
          set( MSVC_LD_FLAGS "/FORCE:MULTIPLE" )
        endif (${MSVC_VERSION} GREATER 1599)
    endif(MSVC)

    set(NOMINMAX 1)
    set( WINSOCK_LIBRARY "ws2_32.lib" )
    
endif(WIN32)    

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WARNING_FLAGS} ${MSVC_FLAGS} -D_REENTRANT")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARNING_FLAGS} ${MSVC_FLAGS} -D_REENTRANT")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${MSVC_LD_FLAGS}")

find_package(Boost REQUIRED)
find_package(ZLIB REQUIRED)
find_package(FLTK REQUIRED)
find_package(OpenSceneGraph 2.8.1 REQUIRED osgText osgDB osgParticle osgUtil osgViewer osgGA)
find_package(SimGear 2.8.0 REQUIRED)
if (ENABLE_NLS)
    find_package(Gettext)
endif (ENABLE_NLS)

if (ENABLE_NLS AND GETTEXT_FOUND)

    if (MSVC)
        FIND_LIBRARY(INTL_LIBRARY
          NAMES intl
          HINTS
          PATH_SUFFIXES lib64 lib libs64 libs libs/Win32 libs/Win64
          PATHS
          ~/Library/Frameworks
          /Library/Frameworks
          /usr/local
          /usr
          /opt
        )

        if (NOT INTL_LIBRARY)
            set( ENABLE_NLS 0 )
        endif (NOT INTL_LIBRARY)
    endif (MSVC)

	if (ENABLE_NLS)
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DENABLE_NLS")
	endif (ENABLE_NLS)
    
else (ENABLE_NLS AND GETTEXT_FOUND)

    set( INTL_LIBRARY "" )

endif (ENABLE_NLS AND GETTEXT_FOUND)

check_include_file(unistd.h HAVE_UNISTD_H)
check_include_file(stdlib.h HAVE_STDLIB_H)
check_include_file(sys/wait.h HAVE_SYS_WAIT_H)
check_include_file(termios.h HAVE_TERMIOS_H)
check_include_file(pty.h HAVE_PTY_H)
check_include_file(utmp.h HAVE_UTMP_H)
check_include_file(fcntl.h HAVE_FCNTL_H)
check_include_file(string.h HAVE_STRING_H)

check_function_exists(openpty HAVE_OPENPTY)
if (NOT HAVE_OPENPTY)
    unset( HAVE_OPENPTY CACHE )
    set( CMAKE_REQUIRED_LIBRARIES util )
    check_function_exists(openpty HAVE_OPENPTY)
    if (HAVE_OPENPTY)
        set( OPENPTY_LIBRARY util CACHE INTERNAL "" )
    else (HAVE_OPENPTY)
        set( CMAKE_REQUIRED_LIBRARIES )
    endif (HAVE_OPENPTY)
endif (NOT HAVE_OPENPTY)
check_function_exists(login_tty HAVE_LOGIN_TTY)
check_function_exists(_getpty HAVE__GETPTY)

if ( NOT ( HAVE_OPENPTY OR HAVE__GETPTY ) )

    if (EXISTS /dev/ptmx)
        set(HAVE_DEV_PTMX)
    endif (EXISTS /dev/ptmx)

    if (EXISTS /dev/pts)
        set(HAVE_DEV_PTS)
    endif (EXISTS /dev/pts)

endif ( NOT ( HAVE_OPENPTY OR HAVE__GETPTY ) )

if ( FLTK_FOUND )
    if ( X11_Xinerama_FOUND )
        message(STATUS "Found X11_Xinerama...")
        list(APPEND FLTK_LIBRARIES ${X11_Xinerama_LIB})
    endif()

    if ( X11_Xft_FOUND )
        message(STATUS "Found X11_Xft...")
        list(APPEND FLTK_LIBRARIES ${X11_Xft_LIB})
    endif()

    if ( CMAKE_DL_LIBS )
       list(APPEND FLTK_LIBRARIES ${CMAKE_DL_LIBS}) 
    endif()

    set( CMAKE_REQUIRED_INCLUDES ${FLTK_INCLUDE_DIR} )
    set( CMAKE_REQUIRED_LIBRARIES ${FLTK_LIBRARIES} )
    message(STATUS "Using FLTK_LIBRARIES for fgrun: ${FLTK_LIBRARIES}")

    check_cxx_source_runs(
        "#include <FL/Fl.H>
        int main() {
            return Fl::version() >= 1.03 ? 0 : -1;
        }
        "
        HAVE_FLTK_1_3)

	if ( NOT HAVE_FLTK_1_3 )
		message( SEND_ERROR "FLTK 1.3 is required" ) 
	endif ( NOT HAVE_FLTK_1_3 )

endif ( FLTK_FOUND )

add_definitions(-DHAVE_CONFIG_H)

include_directories(${PROJECT_BINARY_DIR}/src)
include_directories(${CMAKE_HOME_DIRECTORY}/src)

configure_file (
  "${PROJECT_SOURCE_DIR}/src/config_cmake.h.in"
  "${PROJECT_BINARY_DIR}/src/config.h"
  )


include_directories(${OPENSCENEGRAPH_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${ZLIB_INCLUDE_DIR}
    ${SIMGEAR_INCLUDE_DIR}
    ${FLTK_INCLUDE_DIR})

add_subdirectory( src )
add_subdirectory( po )

=== src/CMakeLists.txt ===

if (WIN32)
    set( platform_srcs run_win32.cxx )
	set( platform_incs os_win32.h )
else (WIN32)
    set( platform_srcs run_posix.cxx fgrun_pty.cxx )
	set( platform_incs os_posix.h )
endif (WIN32)

if (MSVC)
    set( RESOURCE_FILE fgrun.rc )
endif (MSVC)

FLTK_WRAP_UI(Wizard wizard.fl)
add_library(Wizard ${Wizard_FLTK_UI_SRCS})

FLTK_WRAP_UI(Advanced advanced.fl)
add_library(Advanced ${Advanced_FLTK_UI_SRCS})

set( ui_libs_1_3 Wizard Advanced )

set(SOURCES
    wizard_funcs.cxx
    advanced_funcs.cxx
    AirportBrowser.cxx
    AirportTable.cxx
    Fl_Table.cxx
    Fl_Table_Row.cxx
    Fl_OSG.cxx
    Fl_Heading_Dial.cxx
    main.cxx
    io.cxx
    fgfsrc.cxx
    logwin.cxx
    parkingloader.cxx
    settings.cxx
    util.cxx
    ${platform_srcs}
    ${RESOURCE_FILE}
    )
	
set(HEADERS
    AirportBrowser.h
    AirportTable.h
    Fl_Table.H
    Fl_Table_Row.H
    Fl_OSG.h
    Fl_Heading_Dial.H
    logwin.h
    parkingloader.h
    util.h
    ${platform_incs}
	)

set( simgear_libs
     ${SIMGEAR_LIBRARIES}
     ${SIMGEAR_CORE_LIBRARY_DEPENDENCIES}
     ${SIMGEAR_SCENE_LIBRARY_DEPENDENCIES})

add_executable(fgrun WIN32 ${SOURCES} ${HEADERS})

add_dependencies(fgrun Wizard)
add_dependencies(fgrun Advanced)

target_link_libraries(fgrun
    ${ui_libs_1_3}
    ${WINSOCK_LIBRARY}
    ${simgear_libs}
    ${OPENSCENEGRAPH_LIBRARIES} 
    ${FLTK_LIBRARIES}
    ${ZLIB_LIBRARIES}
    ${INTL_LIBRARY}
    ${OPENPTY_LIBRARY}
    ${PLATFORM_LIBS}
    )

install(TARGETS fgrun RUNTIME DESTINATION bin)

## fgrun 1.5.2

=== debian/changelog ===
fgrun (1.5.2-1) unstable; urgency=low

  * Initial release (closes: #590182).

 -- Christopher Baines <cbaines8@gmail.com>  Tue, 08 Feb 2011 22:18:09 +0000

=== debian/control ===
Source: fgrun
Section: games
Priority: optional
Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
Uploaders: Christopher Baines <cbaines8@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libfltk1.1-dev, libplib-dev (>= 1.1.4), simgear-dev (>= 2.0.0), libboost-dev, zlib1g-dev (>= 1:1.1.4)
Standards-Version: 3.9.1
Homepage: http://fgrun.sourceforge.net/

Package: fgrun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: flightgear
Description: graphical frontend for running FlightGear
 FlightGear Launch Control (FGRun) is a graphical frontend for running the
 FlightGear Flight Simulator (fgfs). 
 .
 It includes the ability to configure your scenery paths FlightGear setup. 
 When selecting an aircraft you are able to view a complete 3d model and see
 its development status and author. When selecting an airport or carrier to 
 launch from you can chose either by the ICAO ID (International Civilian 
 Aviation Organisation Identifier) or the airport id, with the flexibility of 
 selecting a runway and parking position also. 
 .
 When launching the simulation FGRun includes a comprehensive configuration 
 system, allowing you to directly configure settings such as screen resolution
 and multiplayer settings. 
 .
 FGRun also includes support for TerraSync, a tool included with FlightGear 
 that allows you to download and use scenery while in the simulation, it can
 also preload the scenery for your selected location as the airport selection
 screen.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games 
#--datadir=/usr/share/games/fgrun

## fgrun 1.6.0

=== debian/changelog ===
fgrun (1.6.0-1build1) quantal; urgency=low

  * No-change rebuild to drop simgear2.4.0 dependency.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 08 Sep 2012 12:55:37 +0400

fgrun (1.6.0-1) unstable; urgency=low

  * New upstream release (closes: 642661).
  * Added patch to fix #636366 Closes: #636366.
  * Removed plib dependency
  * Added watch file
  * Increased compat level to 8

 -- Christopher Baines <cbaines8@gmail.com>  Wed, 09 Nov 2011 11:18:56 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
 Uploaders: Christopher Baines <cbaines8@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libfltk1.1-dev, libplib-dev (>= 1.1.4), simgear-dev (>= 2.0.0), libboost-dev, zlib1g-dev (>= 1:1.1.4)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8.9.9), autotools-dev, libfltk1.1-dev, simgear-dev (>= 2.4.0), libboost-dev, zlib1g-dev (>= 1:1.2.3.4.dfsg-3)
+Standards-Version: 3.9.2
 Homepage: http://fgrun.sourceforge.net/
 
 Package: fgrun

## fgrun 3.0.0

=== debian/changelog ===
fgrun (3.0.0-1) unstable; urgency=medium

  * Final upstream release.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 19 Feb 2014 08:42:33 -0800

fgrun (3.0.0~git20140130+80f6df0-1) unstable; urgency=low

  [ Rebecca Palmer ]
  * New upstream pre-release.
  * Correct B-D: drop autotools-dev, add cmake and fluid.
  * Tweak debian/rules, so we use proper build FLAGS.
  * Update simgear dependency. Closes: #719402, #718378.
  * Add patch to make cmake properly locate fltk-1.3.
  * Fix an issue with setting the scenery directory
    (fix-scenery-dir-bug.diff).

  [ Markus Wanner ]
  * Bump Standards-Version; no changes needed.
  * Adjust patche fix-cmake-dl.
  * Drop fix-format-string-warning, it got applied upstream.
  * Add patch to default to the Debian directories used during
    installation for ease of use.
  * Add myself as an uploader.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 10 Feb 2014 13:37:58 +0100

fgrun (1.7.0-1) unstable; urgency=low

  * New upstream release.
  * Set compat and debhelper dependency to 9
  * Set fltk dependency to 1.3 (from 1.1)
  * Set Standards-Version to 3.9.4
  * Remove some trailing whitespace from the description
  * Update the rules for cmake
  * Add Keywords to desktop file
  * Patch upstream source to build without warning from format string
  * Patch upstream source to link against libdl

 -- Christopher Baines <cbaines8@gmail.com>  Sun, 11 Aug 2013 15:12:59 +0200

=== debian/control ===
Source: fgrun
Section: games
Priority: optional
Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
Uploaders: Christopher Baines <cbaines8@gmail.com>,
 Markus Wanner <markus@bluegap.ch>
Build-Depends: debhelper (>= 9), cmake, libfltk1.3-dev, fluid,
 libsimgear-dev (>= 2.10.0), libboost-dev,
 zlib1g-dev (>= 1:1.2.3.4.dfsg-3)
Standards-Version: 3.9.5
Homepage: http://fgrun.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fgrun.git
Vcs-Git: git://anonscm.debian.org/collab-maint/fgrun.git

Package: fgrun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: flightgear
Description: graphical frontend for running FlightGear
 FlightGear Launch Control (FGRun) is a graphical frontend for running the
 FlightGear Flight Simulator (fgfs).
 .
 It includes the ability to configure your scenery paths FlightGear setup.
 When selecting an aircraft you are able to view a complete 3d model and see
 its development status and author. When selecting an airport or carrier to
 launch from you can chose either by the ICAO ID (International Civilian
 Aviation Organisation Identifier) or the airport id, with the flexibility of
 selecting a runway and parking position also.
 .
 When launching the simulation FGRun includes a comprehensive configuration
 system, allowing you to directly configure settings such as screen resolution
 and multiplayer settings.
 .
 FGRun also includes support for TerraSync, a tool included with FlightGear
 that allows you to download and use scenery while in the simulation, it can
 also preload the scenery for your selected location as the airport selection
 screen.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

#http://wiki.debian.org/Hardening#Notes_for_packages_using_CMake
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CMAKE_FLAGS = \
	-DCMAKE_BUILD_TYPE="RelWithDebInfo" \
	-DCMAKE_C_FLAGS="$(CFLAGS)" \
	-DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
	-DCMAKE_CXX_FLAGS_RELWITHDEBINFO="-g -DNDEBUG" \
	-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_INSTALL_PREFIX:PATH=/usr \
	-DCMAKE_INSTALL_BINDIR:PATH=games \
	-DSIMGEAR_SHARED:BOOL=ON

%:
	dh $@ --buildsystem=cmake --builddirectory=build --parallel

override_dh_auto_configure:
	mkdir build
	cd build && cmake .. $(CMAKE_FLAGS)

override_dh_auto_install:
	dh_auto_install

#	The CMAKE_INSTALL_BINDIR might be ignored
	if [ -d debian/fgrun/usr/bin ]; then \
		dh_installdirs --package=fgrun usr/games; \
		mv debian/fgrun/usr/bin/* -t debian/fgrun/usr/games; \
		rmdir debian/fgrun/usr/bin; \
	fi

=== debian/watch ===
version=3
http://sf.net/fgrun/fgrun-(.+)\.tar\.gz

## fgrun 3.4.0

=== debian/changelog ===
fgrun (3.4.0-0~exp1) experimental; urgency=medium

  [ Markus Wanner ]
  * New upstream release.

  [ Rebecca Palmer ]
  * Drop export-env.diff applied upstream.
  * Update simgear required version.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 18 Feb 2015 13:48:49 +0100

fgrun (3.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patch fltk1-3cmake.diff, instead enable SHARED_FLTK for the same
    effect.
  * Refresh other patches.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 31 Oct 2014 09:48:01 +0100

fgrun (3.0.0-2) unstable; urgency=medium

  * Add patch export-env.patch. Closes: #757178.
  * Bump S-V: No changes required.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 14 Oct 2014 21:53:17 +0200

=== debian/watch ===
version=3
opts="filenamemangle=s/.*fgrun-version\/([\d\.]+\S+)$/fgrun-$1/" \
http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=gitorious/fg/fgrun \
.*=fgrun-version\/(\d+\.\d*[02468]\.\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## fgrun 3.4.0.final

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,6 +48,11 @@
 include (CPack)
 
 option(ENABLE_NLS "Set to ON to build fgrun with NLS support" ON)
+option(SIMGEAR_SHARED "Set to ON to dynamically link SimGear" OFF)
+option(SHARED_FLTK "Set to ON to dynamically link FLTK (requires that SimGear also be dynamically linked)" OFF)
+if (SHARED_FLTK AND NOT SIMGEAR_SHARED)
+   message(FATAL_ERROR "Please do not use SHARED_FLTK without SIMGEAR_SHARED, as it will probably fail to compile")
+endif (SHARED_FLTK AND NOT SIMGEAR_SHARED)
 
 if (MSVC)
     GET_FILENAME_COMPONENT(PARENT_DIR ${PROJECT_SOURCE_DIR} PATH)
@@ -128,9 +133,16 @@
 
 find_package(Boost REQUIRED)
 find_package(ZLIB REQUIRED)
-find_package(FLTK REQUIRED)
+if (SHARED_FLTK)
+    #see http://sources.debian.net/src/fltk1.3/1.3.2-4/README.CMake.txt lines 200-240
+    find_package(FLTK REQUIRED NO_MODULE)
+    include(${FLTK_USE_FILE})
+    set(FLTK_LIBRARIES "fltk_forms_SHARED;fltk_gl_SHARED;fltk_images_SHARED;fltk_SHARED")
+else (SHARED_FLTK)
+    find_package(FLTK REQUIRED)
+endif (SHARED_FLTK)
 find_package(OpenSceneGraph 2.8.1 REQUIRED osgText osgDB osgParticle osgUtil osgViewer osgGA)
-find_package(SimGear 2.8.0 REQUIRED)
+find_package(SimGear ${FGRUN_VERSION} REQUIRED)
 if (ENABLE_NLS)
     find_package(Gettext)
 endif (ENABLE_NLS)

=== po/CMakeLists.txt ===

if (ENABLE_NLS)
    gettext_create_translations( fgrun.pot ALL de.po es.po fr.po it.po ja.po nl.po pl.po pt.po)
endif (ENABLE_NLS)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -72,6 +72,7 @@
     ${INTL_LIBRARY}
     ${OPENPTY_LIBRARY}
     ${PLATFORM_LIBS}
+    ${OPENGL_LIBRARIES}
     )
 
 install(TARGETS fgrun RUNTIME DESTINATION bin)

=== debian/changelog ===
fgrun (3.4.0.final-2build1) xenial; urgency=medium

  * No-change rebuild against libsimgearcore3.4.0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Mar 2016 14:51:06 -0700

fgrun (3.4.0.final-2) unstable; urgency=medium

  * Rebuild with gcc5, against renamed simgear.
  * Drop the menu file as per CTTE #741573.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 10 Nov 2015 19:45:59 +0100

fgrun (3.4.0.final-1) unstable; urgency=medium

  * New upstream version 3.4.0-final.
  * Update watchfile to handle -final postfix.
  * Correct d/copyright.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 22 May 2015 20:20:51 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Christopher Baines <cbaines8@gmail.com>,
  Markus Wanner <markus@bluegap.ch>
 Build-Depends: debhelper (>= 9), cmake, libfltk1.3-dev, fluid,
- libsimgear-dev (>= 2.10.0), libboost-dev,
+ libsimgear-dev (>= 3.4.0~), libboost-dev,
  zlib1g-dev (>= 1:1.2.3.4.dfsg-3)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://fgrun.sourceforge.net/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fgrun.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/fgrun.git

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,8 @@
 	-DCMAKE_VERBOSE_MAKEFILE=ON \
 	-DCMAKE_INSTALL_PREFIX:PATH=/usr \
 	-DCMAKE_INSTALL_BINDIR:PATH=games \
-	-DSIMGEAR_SHARED:BOOL=ON
+	-DSIMGEAR_SHARED:BOOL=ON \
+	-DSHARED_FLTK:BOOL=ON
 
 %:
 	dh $@ --buildsystem=cmake --builddirectory=build --parallel

=== debian/watch ===
version=3
opts="filenamemangle=s/.*fgrun-version\/([\d\.]+\S+)$/fgrun-$1/,\
uversionmangle=s/\-final/.final/" \
http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=gitorious/fg/fgrun \
.*=fgrun-version\/(\d+\.\d*[02468]\.\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## fgrun 2016.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 set(CMAKE_MINSIZEREL_POSTFIX "" CACHE STRING "add a postfix, usually empty on windows")
 
 file(READ version versionFile)
-string(STRIP ${versionFile} FGRUN_VERSION) 
+string(STRIP ${versionFile} FGRUN_VERSION)
 
 #packaging
 SET(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/COPYING")
@@ -33,7 +33,7 @@
 
 # split version string into components, note CMAKE_MATCH_0 is the entire regexp match
 string(REGEX MATCH "([0-9]+)\\.([0-9]+)" CPACK_PACKAGE_VERSION ${FGRUN_VERSION} )
-set(CPACK_PACKAGE_VERSION_MAJOR ${CMAKE_MATCH_1}) 
+set(CPACK_PACKAGE_VERSION_MAJOR ${CMAKE_MATCH_1})
 set(CPACK_PACKAGE_VERSION_MINOR ${CMAKE_MATCH_2})
 
 message(STATUS "version is ${CPACK_PACKAGE_VERSION_MAJOR} dot ${CPACK_PACKAGE_VERSION_MINOR}")
@@ -66,7 +66,7 @@
     else (EXISTS ${TEST_3RDPARTY_DIR})
         set(MSVC_3RDPARTY_ROOT NOT_FOUND CACHE PATH "Location where the third-party dependencies are extracted")
     endif (EXISTS ${TEST_3RDPARTY_DIR})
-    list(APPEND PLATFORM_LIBS "winmm.lib")
+    list(APPEND PLATFORM_LIBS "winmm.lib" "Shlwapi.lib")
 else (MSVC)
     set(MSVC_3RDPARTY_ROOT NOT_FOUND CACHE PATH "Location where the third-party dependencies are extracted")
 endif (MSVC)
@@ -75,13 +75,16 @@
 
   message(STATUS "3rdparty files located in ${MSVC_3RDPARTY_ROOT}")
   set( OSG_MSVC "msvc" )
-  if (${MSVC_VERSION} EQUAL 1700)
+  if (${MSVC_VERSION} EQUAL 1900)
+      set( OSG_MSVC ${OSG_MSVC}140 )
+  elseif (${MSVC_VERSION} EQUAL 1800)
+      set( OSG_MSVC ${OSG_MSVC}120 )
+  elseif (${MSVC_VERSION} EQUAL 1700)
       set( OSG_MSVC ${OSG_MSVC}110 )
   elseif (${MSVC_VERSION} EQUAL 1600)
       set( OSG_MSVC ${OSG_MSVC}100 )
-  else (${MSVC_VERSION} EQUAL 1700)
-      set( OSG_MSVC ${OSG_MSVC}90 )
-  endif (${MSVC_VERSION} EQUAL 1700)
+  endif ()
+
   if (CMAKE_CL_64)
       set( OSG_MSVC ${OSG_MSVC}-64 )
       set( MSVC_3RDPARTY_DIR 3rdParty.x64 )
@@ -97,7 +100,10 @@
 
   set (CMAKE_LIBRARY_PATH ${FLTK_DIR}/lib ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/lib ${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/OpenScenegraph/lib ${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/SimGear/lib )
   set (CMAKE_INCLUDE_PATH ${FLTK_DIR}/include ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/include ${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/OpenScenegraph/include ${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/SimGear/include)
+
+  GET_FILENAME_COMPONENT(MSVC_ROOT_PARENT_DIR ${MSVC_3RDPARTY_ROOT} PATH)
   find_path(BOOST_ROOT boost/version.hpp
+      ${MSVC_ROOT_PARENT_DIR}
 			${MSVC_3RDPARTY_ROOT}/boost
 			${MSVC_3RDPARTY_ROOT}/boost_1_51_0
 			${MSVC_3RDPARTY_ROOT}/boost_1_50_0
@@ -124,8 +130,8 @@
 
     set(NOMINMAX 1)
     set( WINSOCK_LIBRARY "ws2_32.lib" )
-    
-endif(WIN32)    
+
+endif(WIN32)
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WARNING_FLAGS} ${MSVC_FLAGS} -D_REENTRANT")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARNING_FLAGS} ${MSVC_FLAGS} -D_REENTRANT")
@@ -170,7 +176,7 @@
 	if (ENABLE_NLS)
 		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DENABLE_NLS")
 	endif (ENABLE_NLS)
-    
+
 else (ENABLE_NLS AND GETTEXT_FOUND)
 
     set( INTL_LIBRARY "" )
@@ -224,7 +230,7 @@
     endif()
 
     if ( CMAKE_DL_LIBS )
-       list(APPEND FLTK_LIBRARIES ${CMAKE_DL_LIBS}) 
+       list(APPEND FLTK_LIBRARIES ${CMAKE_DL_LIBS})
     endif()
 
     set( CMAKE_REQUIRED_INCLUDES ${FLTK_INCLUDE_DIR} )
@@ -240,7 +246,7 @@
         HAVE_FLTK_1_3)
 
 	if ( NOT HAVE_FLTK_1_3 )
-		message( SEND_ERROR "FLTK 1.3 is required" ) 
+		message( SEND_ERROR "FLTK 1.3 is required" )
 	endif ( NOT HAVE_FLTK_1_3 )
 
 endif ( FLTK_FOUND )

=== po/CMakeLists.txt ===

if (ENABLE_NLS)
    gettext_create_translations( fgrun.pot ALL de.po es.po fr.po it.po ja.po nl.po pl.po pt.po zh_CN.po)
endif (ENABLE_NLS)

=== debian/changelog ===
fgrun (2016.4.0-1) unstable; urgency=medium

  * Sponsored upload. Closes: #857131.
  * New upstream release. (Closes: #839357)
    - Drop patches applied upstream.
    - Refresh patches.
  * Add myself onto uploaders list.
  * Switch upstream to GitHub mirror.
    - Update corresponding debian/watch file using GitHub. (Closes: #851845)
  * Bump debhelper compat version to v10.
  * Apply "wrap-and-sort -abst".
  * Update Homepage information on SourceForge.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 11 Apr 2017 18:08:46 +0800

fgrun (3.4.0.final-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Rebase patches to be Debian friendly and fix build failures
    Closes: #830421
  * Bump std-version to 3.9.8, no changes required.
  * Make VCS fields in secure mode, and fix VCS-GIT

 -- Markus Wanner <markus@bluegap.ch>  Sun, 24 Jul 2016 10:25:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,31 @@
 Section: games
 Priority: optional
 Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
-Uploaders: Christopher Baines <cbaines8@gmail.com>,
- Markus Wanner <markus@bluegap.ch>
-Build-Depends: debhelper (>= 9), cmake, libfltk1.3-dev, fluid,
- libsimgear-dev (>= 3.4.0~), libboost-dev,
- zlib1g-dev (>= 1:1.2.3.4.dfsg-3)
-Standards-Version: 3.9.6
-Homepage: http://fgrun.sourceforge.net/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fgrun.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/fgrun.git
+Uploaders:
+ Christopher Baines <cbaines8@gmail.com>,
+ Boyuan Yang <073plan@gmail.com>,
+ Markus Wanner <markus@bluegap.ch>,
+Build-Depends:
+ cmake,
+ debhelper (>= 10~),
+ fluid,
+ libboost-dev,
+ libexpat-dev,
+ libfltk1.3-dev,
+ libsimgear-dev (>= 3.4.0~),
+ zlib1g-dev (>= 1:1.2.3.4.dfsg-3),
+Standards-Version: 3.9.8
+Homepage: https://sourceforge.net/p/flightgear/fgrun/
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fgrun.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/fgrun.git
 
 Package: fgrun
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: flightgear
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ flightgear,
 Description: graphical frontend for running FlightGear
  FlightGear Launch Control (FGRun) is a graphical frontend for running the
  FlightGear Flight Simulator (fgfs).

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%fgrun-$1.tar.gz%" \
 https://github.com/FlightGear/fgrun/tags \
 (?:.*?/)?version/(\d[\d.]*)\.tar\.gz debian uupdate
